

#ifndef __FRAME_H
#define __FRAME_H

#define SIDE_LEFT			0
#define SIDE_RIGHT			1
#define SIDE_BOTTOM			2



#define CORNER_TOP_LEFT			0
#define CORNER_TOP_RIGHT		1
#define CORNER_BOTTOM_LEFT		2
#define CORNER_BOTTOM_RIGHT		3
#define CORNER_LEFT     		4
#define CORNER_RIGHT    		5
#define CORNER_BOTTOM   		6


#define TITLE_1				0
#define TITLE_2				1
#define TITLE_3				2
#define TITLE_4				3
#define TITLE_5				4

extern void undecorate(Client *);
extern void decorate(Client *, int state);
extern void frameDraw(Client *);

extern XColor info_fg, info_bg;

void infoWinCreate(void);
void infoWinSet(char *s);
void infoWinDelete(void);

#endif
